# Package org.apache.hadoop.lib.server

- Interface Summary
  Interface | Description
  --- | ---
  Service | Service interface for components to be managed by the `Server` class.

- Class Summary
  Class | Description
  --- | ---
  BaseService | Convenience class implementing the `Service` interface.
  Server | A Server class provides standard configuration, logging and `Service` lifecyle management.

- Enum Summary
  Enum | Description
  --- | ---
  Server.Status | Enumeration that defines the server status.
  ServerException.ERROR | Error codes use by the `Server` class.

- Exception Summary
  Exception | Description
  --- | ---
  ServerException | Exception thrown by the `Server` class.
  ServiceException | Exception thrown by `Service` implementations.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.